Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
dbplot.PlotMarker Class Reference

Class for markers. More...

## Public Member Functions
def | __init__
| Class constructor.
def | updateLabel
| Update marker label according to required precision.
def | updatePosition
| Update marker position after a curve update with DbPlot.update().

## Detailed Description

Class for markers.

Definition at line 2313 of file dbplot.py.

## Constructor & Destructor Documentation

def dbplot.PlotMarker.__init__ | ( |  | self,
|  |  | dbplot,
|  |  | axis,
|  |  | nTab,
|  |  | curve,
|  |  | index
| ) |  |

Class constructor.

Gets the data from dbplot zoomers base in nTab.

Parameters

  dbplot | = DbPlot class instance, to which this marker belongs.
  Yaxis | = y-axis to use Qwt.QwtPlot.yLeft or Qwt.QwtPlot.yRight.
  nTab | = Tab widget index.
  curve | = QwtPlotCurve instance, to which this marker is linked.
  index | = Index of curve point. DbPlot class instance, to which this marker belongs. y-axis to use Qwt.QwtPlot.yLeft or Qwt.QwtPlot.yRight. Tab widget index QwtPlotCurve instance, to which this marker is linked Index of curve x-data closest to x Marker x-coordinate Marker y-coordinate QwtPlot class instance where this marker is attached to. QwtSymbol class instance to use when the marker state is normal QwtSymbol class instance to use when the marker state is selected for move QwtSymbol class instance to use when the marker state is selected for deletion

Definition at line 2324 of file dbplot.py.

References dbplot.CurveFamily.axis, dbplot.PlotMarker.axis, dbplot.PlotMarker.curve, dbplot.MyPicker.dbplot, dbplot.CanvasEventFilter.dbplot, dbplot.PlotMarker.dbplot, dbplot.DbPlot.hPlot, dbplot.CurveFamily.hPlot, dbplot.PlotMarker.hPlot, dbplot.PlotMarker.index, dbplot.MyPicker.nTab, dbplot.PlotMarker.nTab, dbplot.CurveFamily.setSymbol(), dbplot.PlotMarker.symbolDel, dbplot.PlotMarker.symbolMove, dbplot.PlotMarker.symbolNormal, dbplot.PlotMarker.updateLabel(), dbplot.PlotMarker.x, and dbplot.PlotMarker.y.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- dbplot.py